import './animalCard.css';
import { Link } from 'react-router-dom';

export interface AnimalCardProps {
  id: string,
  name: string,
  age: number,
  sex: boolean,
  type: string,
  picture: string,
}

export const AnimalCard = ({ id, name, age, sex, type, picture }: AnimalCardProps) => {
  return (
    <Link to={`/animal/${id}`}  className="animal-card">
      <div className="animal-card__name">{name}</div>
      <div className="animal-card__additional-info">
        <div className="info">
          <div><b>Age:</b></div>
          <div>{age}</div>
        </div>
        <div className="info">
          <div><b>Sex:</b></div>
          <div>{sex ? 'Female' : 'Male'}</div>
        </div>
        <div className="info">
          <div><b>Type:</b></div>
          <div>{type}</div>
        </div>
      </div>
      <div className="image-container">
        <img className="image" src={picture} alt="Animal"/>
      </div>
    </Link>
  );
};

export default AnimalCard;
