import useSWR from 'swr';
import Header from '../Header/Header';
import fetcher from '../../models/fetcher';
import { animal } from '../../models/types';
import { useParams } from 'react-router-dom';
import './animalPage.css';
import axios from 'axios';

export const AnimalPage = () => {
  const { id } = useParams();
  const { data, error } = useSWR(`http://localhost:4000/animals/${id}`, fetcher);

  if (error) return <div>failed to load</div>;
  if (!data) return <div>loading...</div>;

  const animal: animal = data.data;

  const adopt = async () => {
    const requestData = ({
      from: "User",
      animalId: animal.id,
    });

    await axios.post('http://localhost:4000/requests', requestData);
    alert(`${animal.name} requested for adoption`)
  };


  return (
    <div className="animal-container">
      <Header />
      <main className="animal">
        <div className="animal__name">
            {animal.name}
        </div>
        <div className="animal__main-info">
          <div className="animal-image-container">
            <img className="image" src={animal.picture} alt="Animal"/>
          </div>
          <p className="animal__description">{animal.description}</p>
        </div>
        <div className="animal__additional-info">
          <p><b>Age: </b> {animal.age} years</p>
          <p><b>Sex: </b>{animal.sex ? "female" : "male"}</p>
          <button className="button button--adopt" onClick={adopt}>
            Adopt me
          </button>
        </div>
      </main>
    </div>
  )
};

export default AnimalPage;
