import useSWR from 'swr';
import { animal } from '../models/types';
import AnimalCard from './AnimalCard/AnimalCard';
import Header from './Header/Header';
import fetcher from '../models/fetcher';

export const MainPage = () => {
  const { data, error } = useSWR('http://localhost:4000/animals', fetcher);

  if (error) return <div>failed to load</div>;
  if (!data) return <div>loading...</div>;

  const animals: animal[] = data.data;

  return (
    <div>
      <Header/>
      <main>
        <div className="container">
          {animals.map((item) => <AnimalCard key={item.id} {...item} />)}
        </div>
      </main>
    </div>
  );
};

export default MainPage;
